Subject: bug#9940: closed (Re: bug#9682: Segfault from trunk with Lucid)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 23 Aug 2019 17:20:04 +0000

Your bug report

#9682: 23.3; SIGSEGV in XtInitializeWidgetClass

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9682: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9682
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9682: Segfault from trunk with Lucid
From: Stefan Kangas <[email-masked]>
To: Damien Cassou <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked], "Jan D." <[email-masked]>
Date: Fri, 23 Aug 2019 19:19:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Damien Cassou <[email-masked]> writes:

> Hi Stefan,
>
> I've been running Emacs just fine for quite some years now :-).
>
> Thanks,

Thanks.  Since this is no longer an issue, I'm closing this bug report.

Best regards,
Stefan Kangas

Subject: 23.3; SIGSEGV in XtInitializeWidgetClass
From: David Kuehling <[email-masked]>
To: [email-masked]
Date: Wed, 02 Nov 2011 13:00:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I tried built emacs 23.3 on Debian Squeeze (stable) on MIPSEL.  Now I'm
hitting the SIGSEGV in XtInitializeWidgetClass that is described in
etc/PROBLEMS.

Full configure&build log attached, looks like -z nocombreloc is in fact
passed to the linker. Also attached is a gdb backtrace and disassembly
around the location of the crash.

I can hand out ssh login accounts to the machine in question if somebody
wants to do some in-depth debugging.

cheers,

David

In GNU Emacs 23.3.2 (mipsel-unknown-linux-gnu, X toolkit)
 of 2011-11-02 on mosquito
configured using `configure  'CFLAGS=-O2 -march=loongson2f''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Load-path shadows:
None found.

Features:
(shadow sort gnus-cite mail-extr gnus-msg gnus-art mm-uu mml2015
epg-config mm-view smime dig gnus-sum nnoo gnus-group gnus-undo nnmail
mail-source format-spec gnus-start gnus-spec gnus-int gnus-range
gnus-win emacsbug sgml-mode jka-compr dired sh-script executable
perl-mode make-mode message ecomplete rfc822 mml mml-sec password-cache
mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231 rfc2047 rfc2045
qp ietf-drums mailabbrev gmm-utils mailheader canlock sha1 hex-util
hashcash vc-dispatcher vc-svn conf-mode newcomment view noutline outline
easy-mmode delsel which-func imenu type-break paren recentf tree-widget
rcirc pc-select complete iswitchb ido grep compile comint ring gnus
gnus-ems nnheader gnus-util netrc time-date mail-utils mm-util
mail-prsvr wid-edit cwarn cc-mode cc-fonts easymenu cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs regexp-opt time desktop
cus-start cus-load server advice help-fns advice-preload tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd font-setting
tool-bar dnd fontset image fringe lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mldrag mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind font-render-setting x-toolkit x
multi-tty emacs)
-- 
GnuPG public key: http://dvdkhlng.users.sourceforge.net/dk.gpg
Fingerprint: B17A DC95 D293 657B 4205  D016 7DEF 5323 C174 7D40

No stack.
Starting program: /usr/local/bin/emacs 
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
0x2abb0e80 in XtInitializeWidgetClass () from /usr/lib/libXt.so.6
#0  0x2abb0e80 in XtInitializeWidgetClass () from /usr/lib/libXt.so.6
#1  0x2abb2298 in _XtCreateWidget () from /usr/lib/libXt.so.6
#2  0x2abb2750 in XtCreateWidget () from /usr/lib/libXt.so.6
#3  0x004da518 in x_window ()
#4  0x004dfd30 in Fx_create_frame ()
#5  0x005952c8 in Ffuncall ()
#6  0x005da544 in Fbyte_code ()
#7  0x00594c84 in funcall_lambda ()
#8  0x00595064 in Ffuncall ()
#9  0x005da544 in Fbyte_code ()
#10 0x00594c84 in funcall_lambda ()
#11 0x00595064 in Ffuncall ()
#12 0x005da544 in Fbyte_code ()
#13 0x00594c84 in funcall_lambda ()
#14 0x00595064 in Ffuncall ()
#15 0x005da544 in Fbyte_code ()
#16 0x00594c84 in funcall_lambda ()
#17 0x00595064 in Ffuncall ()
#18 0x005da544 in Fbyte_code ()
#19 0x00594c84 in funcall_lambda ()
#20 0x00593ef0 in apply_lambda ()
#21 0x0059425c in Feval ()
#22 0x00593070 in internal_condition_case ()
#23 0x00517d08 in top_level_1 ()
#24 0x005931ac in internal_catch ()
#25 0x00517df4 in command_loop ()
#26 0x005182ec in recursive_edit_1 ()
#27 0x0051848c in Frecursive_edit ()
#28 0x00509dcc in main ()
$1 = (void (*)()) 0x2abb0e80 <XtInitializeWidgetClass+332>
A syntax error in expression, near `'.
Dump of assembler code from 0x2abb0e70 to 0x2abb0e90:
0x2abb0e70 <XtInitializeWidgetClass+316>:	beq	v1,a0,0x2abb0e90 <XtInitializeWidgetClass+348>
0x2abb0e74 <XtInitializeWidgetClass+320>:	li	s5,111
0x2abb0e78 <XtInitializeWidgetClass+324>:	beq	v1,v0,0x2abb0e90 <XtInitializeWidgetClass+348>
0x2abb0e7c <XtInitializeWidgetClass+328>:	li	s5,239
0x2abb0e80 <XtInitializeWidgetClass+332>:	lw	v1,0(v1)
0x2abb0e84 <XtInitializeWidgetClass+336>:	nop
0x2abb0e88 <XtInitializeWidgetClass+340>:	bnez	v1,0x2abb0e48 <XtInitializeWidgetClass+276>
0x2abb0e8c <XtInitializeWidgetClass+344>:	li	s5,1
End of assembler dump.
quit
A debugging session is active.

	Inferior 1 [process 14771] will be killed.

Quit anyway? (y or n)